> ## Documentation Index
> Fetch the complete documentation index at: https://docs.groundforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboarding Create Organization



## OpenAPI

````yaml /openapi/groundforge-openapi-v1.json post /v1/onboarding/organizations
openapi: 3.1.0
info:
  title: GroundForge REST API
  version: 86Y.5p.6v.6aq
  description: >-
    Current GroundForge SaaS administration, Agent, Channel, MCP, governance,
    observability, and LangChain integration endpoints.
servers:
  - url: https://platform.groundforge.ai
    description: GroundForge SaaS
security: []
paths:
  /v1/onboarding/organizations:
    post:
      summary: Onboarding Create Organization
      operationId: onboarding_create_organization_v1_onboarding_organizations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingCreateOrganizationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security: []
components:
  schemas:
    OnboardingCreateOrganizationRequest:
      properties:
        ownerEmail:
          type: string
          maxLength: 320
          minLength: 5
          title: Owneremail
        organization:
          $ref: '#/components/schemas/SignupOrganizationInput'
        team:
          $ref: '#/components/schemas/OnboardingTeamInput'
        source:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Source
          default: first_run_onboarding
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      additionalProperties: false
      type: object
      required:
        - ownerEmail
        - organization
        - team
      title: OnboardingCreateOrganizationRequest
      description: >-
        Create the first organization for an already registered user.


        In the final product this will use the authenticated user. During
        local/dev

        API testing, ownerEmail is accepted so curl/tests can exercise the flow

        before auth/user-context wiring is complete.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignupOrganizationInput:
      properties:
        name:
          type: string
          maxLength: 160
          minLength: 2
          title: Name
        slug:
          type: string
          maxLength: 63
          minLength: 2
          title: Slug
        primaryDomain:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 3
            - type: 'null'
          title: Primarydomain
      additionalProperties: false
      type: object
      required:
        - name
        - slug
      title: SignupOrganizationInput
    OnboardingTeamInput:
      properties:
        name:
          type: string
          maxLength: 160
          minLength: 1
          title: Name
          default: Default
        slug:
          type: string
          maxLength: 63
          minLength: 1
          title: Slug
          default: default
        isDefault:
          type: boolean
          title: Isdefault
          default: true
      additionalProperties: false
      type: object
      title: OnboardingTeamInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

## Related topics

- [Onboarding Signup](/api-reference/endpoints/onboarding-signup.md)
- [Organizations](/administration/organizations.md)
- [Onboarding Register](/api-reference/endpoints/onboarding-register.md)
- [LangChain Agent Example](/examples/langchain-agent.md)
